Public Member Functions | Public Attributes | List of all members
libzmf::Pen Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Pen ()
| Pen (Color c)

## Public Attributes
Color | color
double | width
LineCapType | lineCapType
LineJoinType | lineJoinType
std::vector< double > | dashPattern
double | dashDistance
ArrowPtr | startArrow
ArrowPtr | endArrow
bool | isInvisible

## Constructor & Destructor Documentation

## ◆ Pen() [1/2]

libzmf::Pen::Pen | ( |  | ) |
| inline

## ◆ Pen() [2/2]

libzmf::Pen::Pen | ( | Color | c | ) |
| inline

## Member Data Documentation

## ◆ color

Color libzmf::Pen::color

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

## ◆ dashDistance

double libzmf::Pen::dashDistance

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

## ◆ dashPattern

std::vector<double> libzmf::Pen::dashPattern

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

## ◆ endArrow

ArrowPtr libzmf::Pen::endArrow

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

## ◆ isInvisible

bool libzmf::Pen::isInvisible

Referenced by libzmf::ZMF4Parser::ZMF4Parser().

## ◆ lineCapType

LineCapType libzmf::Pen::lineCapType

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

## ◆ lineJoinType

LineJoinType libzmf::Pen::lineJoinType

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

## ◆ startArrow

ArrowPtr libzmf::Pen::startArrow

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

## ◆ width

double libzmf::Pen::width

Referenced by libzmf::ZMF4Parser::readPen(), and libzmf::ZMFCollector::writePen().

The documentation for this struct was generated from the following file:

- ZMFTypes.h